Subject: Re: I can't inicializate PostgreSQL
From: Carlo Florendo y Flora <[email-masked]>
To: Manuel Tejada <[email-masked]>
Cc: [email-masked]
Date: Mon, 19 Jul 2004 11:32:10 +0800

Manuel Tejada wrote:

>I am using PostgreSQL for Cygwin on Windows ME from
>April 2003
>  
>
<snipped>

>creating directory /usr/share/postgresql/data... ok
>creating directory /usr/share/postgresql/data/base...
>ok
>creating directory
>/usr/share/postgresql/data/global... ok
>creating directory
>/usr/share/postgresql/data/pg_xlog... ok
>creating directory
>/usr/share/postgresql/data/pg_clog... ok
>selecting default max_connections... Signal 12
>Signal 12
>Signal 12
>Signal 12
>Signal 12
>Signal 12
>10
>selecting default shared_buffers... Signal 12
>Signal 12
>Signal 12
>Signal 12
>Signal 12
>Signal 12
>Signal 12
>Signal 12
>Signal 12
>Signal 12
>Signal 12
>50
>creating configuration files... ok
>creating template1 database in
>/usr/share/postgresql/data/base/1... Signal 12
>
>initdb: failed
>initdb: removing data directory
>"/usr/share/postgresql/data"
>
>
>admin@alejo ~
>$
>
>----------------------------------------------
>
>
>After reading some answer to various post in the
>mailing list archive with similar problem and the
>/usr/share/doc/Cygwin/postgres-7.4.3.README file, I
>decided to follow the procedure using Cygserver
>instead ipc-daemon2:
>- Set the CYGWIN variable enviroment to "server"
>- Install and configure cygserver
>- Run cygserver
>- Initialize PostgreSQL
>
>But now the cygserver failled to run because the
>System says the command is no found, as you can see in
>the ouptput I show you bellow:
>
>-------------------------------
>
>admin@alejo ~
>$ CYGWIN=server
>
>admin@alejo ~
>$ export CYGWIN
>
>admin@alejo ~
>$ cygserver-config
>
>Generating /etc/cygserver.conf file
>chown: `system.544': invalid user
>  
>

Check whether  you have correct entries on your /etc/passwd and 
/etc/group files.
`system.544' means `SYSTEM:root'.    The user `SYSTEM' should appear on 
your /etc/passwd file. 
The group `root' should be on your /etc/group file.  You should  notice 
that the group `root' has a GID (Group ID) of 544.
If you get the above error message, there could be something wrong with 
your /etc/passwd or /etc/group file.
Btw, my /etc/passwd and /etc/group files were automatically generated by 
cygwin.

>Further configuration options are available by editing
>the configuration
>file /etc/cygserver.conf.  Please read the inline
>information in that
>file carefully. The best option for the start is to
>just leave it alone.
>
>Please keep in mind, that a client application which
>wants to use
>the services provided by cygserver *must* have the
>environment variable
>CYGWIN set so that it contains the word "server".  So,
>if you don't
>need any other special CYGWIN setting, just set it to
>"server".
>
>It is advisable to add this setting to the Windows
>system environment.
>
>Basic Cygserver configuration finished. Have fun!
>
>admin@alejo ~
>$ cygserver &
>[1]118735
>$bash: cygserver: command not found
> [1]+ Exit 127    cygserver
>
>  
>
cygserver is in /usr/sbin/.  My cygwin installation didn't add 
/usr/sbin/ in the PATH  environment variable.  I don't know whether this 
is the default behaviou or not.  However, you may want to invoke 
cygserver by specifying is fully qualified path name:

/us/sbin/cygserver

Else, you might want to ad /usr/sbin on your path variable although I 
don't know whether this would post some issues. AFAICS, there's none.  
However, there might be a reason why /usr/sbin/ was not included by 
default.  I don't know since I'm not a cygwin expert but if you ask 
someone on the mailing list, he could probably tell you why. 

>--------------------------------
>
>My questions are:
>
>a) In what I am failling myself?
>
>b) Anybody knows how to fix this?
>
>c)Supposing there is no way how to fix this. what must
>I do to reinstall the old PostgreSQL (7.4.1-3) that I
>still have the tar.gz archive in a directory created
>by the utility setup.exe.? I tried to reinstall the
>old one with the utility setup.exe but I can not see
>it in the windows'utility. Maybe I have to  install it
>using ./configure, make, etc.? Is possible do this?
>
>
>  
>
I've written a tutorial on how to install PostgreSQL on cygwin.  It's 
largely copied from the cygwin docs but I've added a few explanations.  
You might find it helpful.  Check it out if you want:
http://home.ripway.com/2004-3/81387/postgresql-cygwin.html

Thanks!

Best Regards,

Carlo
------
Carlo Florendo
Astra Philippines Inc.
www.astra.ph

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/